#!/usr/bin/env python
import coral
import coral ; metamodel=coral.lang.UML14

c1 = metamodel.Class()

coral.saveModel("tmp/out_SimpleLoadSave.xml", c1)
import os
os.rename("tmp/out_SimpleLoadSave.xml", "tmp/out2_SimpleLoadSave.xml")
c2 = coral.loadModel("tmp/out2_SimpleLoadSave.xml")

assert(c2 is not None)
assert(c1.__XMIid__() == c2.__XMIid__())


